#!/bin/bash

### Tool to create projects manually.

[ -d projects ] || { echo "projects/ dir not found. Please enter the hemiptera base directory." >/dev/stderr; exit 1; }

[ -z "$1" ] && { echo "Usage: $0 PRNAME">/dev/stderr; exit 1; }

[ -d "projects/$1" ] && { echo "project $1 already exists. Not creating" >/dev/stderr; exit 1; }

mkdir "projects/$1"

while true; do
    read -p "Enter name of developer, leave blank to end list > " dev
    case $dev in
	'') echo "Dev list written." > /dev/stderr;  break;;
        * ) echo "$dev" >> "projects/$1/devs.txt" ;;
    esac
done
echo "Please enter a description, enter a blank line to end description:" > /dev/stderr
while true; do
    read -p "> " line
    case $line in
	'') echo "Description written." > /dev/stderr;  break;;
        * ) echo "$line" >> "projects/$1/description.txt" ;;
    esac
done

echo "Project created." > /dev/stderr

